%define	name		kde4-windeco-aurorae
%define	version		0.2.1
%define	release		%mkrel	1

Name:			%{name}
Summary:		Aurorae KDE4 Window Decoration Theme Engine
Version:		%{version}
Release:		%{release}
License:		GPLv3
Group:			System/GUI/KDE
Source0:		107158-aurorae-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
BuildRequires:		kdebase4-workspace-devel >= 4.4
BuildRequires:		desktop-file-utils
Requires:		kdebase4-workspace >= 4.4
Url:			http://www.kde-look.org/content/show.php/Aurorae+Theme+Engine?content=107158

%description
Aurorae is a theme engine for KWin window decorations.
 
It was created with the idea of making KWin decorations
as themeable as the Plasma desktop shell.
Decoration and buttons are SVG files.

Author:
-------
    Martin Gräßlin

%prep
%setup -q -n aurorae

%build
%cmake_kde4

make

%install
%{__rm} -rf %{buildroot}
cd build
%{makeinstall_std}
kbuildsycoca4
cd -

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README TODO
%{_libdir}/kde4/*.so
%{_datadir}/apps/aurorae/themes/example-deco/*
%{_datadir}/apps/kwin/*.desktop
%{_datadir}/config/*.knsrc

%changelog
* Thu Aug 26 2010 Jens Ornot <rpm@mandrivauser.de> 0.2.1-1mud2010.1
- initial build
